Bug 351931 - step back in "load kickstart screen" does not work
step back in "load kickstart screen" does not work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 04:59 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 19:02:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-10-25 04:59:34 EDT
Description of problem:
If you click on "Back" in the screen where you load the kickstart file nothing 
happens.


Version-Release number of selected component (if applicable):
revisor-2.0.4.3-7.fc8

How reproducible:
ever

Steps to Reproduce:
1. start revisor (from terminal)
2. click "get started"
3. select a media type and click "Forward"
4. Configure Revisor (or use standard) and click "Forward"
5. In the next screen try to click "Back"
  
Actual results:
Nothing happens

Expected results:
A step back should be possible

Additional info:
Output from a terminal:

Reading configuration file /etc/revisor/revisor.conf
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/revisor/load_kickstart.py", line 199, 
in button_back_clicked
    self.store_options()
  File "/usr/lib/python2.5/site-packages/revisor/load_kickstart.py", line 166, 
in store_options
    self.cfg.load_kickstart(self.cfg.kickstart_file)
  File "/usr/lib/python2.5/site-packages/revisor/cfg.py", line 493, in 
load_kickstart
    self.ksobj.read_file(fn)
  File "/usr/lib/python2.5/site-packages/revisor/kickstart.py", line 59, in 
read_file
    self.ksparser.readKickstart(fn)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 675, in 
readKickstart
    self._stateMachine (lambda: fh.readline())
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 553, in 
_stateMachine
    self.handleCommand(lineno, args)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 407, in 
handleCommand
    self.handler.dispatcher(args, lineno)
  File "/usr/lib/python2.5/site-packages/pykickstart/base.py", line 321, in 
dispatcher
    self.commands[cmd].parse(args[1:])
  File "/usr/lib/python2.5/site-packages/pykickstart/commands/method.py", line 
81, in parse
    (opts, extra) = op.parse_args(args=args)
AttributeError: 'NoneType' object has no attribute 'parse_args'
Comment 1 Jonathan Steffan 2007-11-13 19:02:38 EST
Please update to revisor 2.0.5.

Note You need to log in before you can comment on or make changes to this bug.